Foreman - Feature #22174

Add password verification box where applicable in Foreman Web Ul
01/08/2018 03:28 PM - Ondrej Prazak

Status: Ready For Testing
Priority: Normal
Assignee: Amit Karsale
Category: Web Interface

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1408288 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/6626
Description

There is a couple of places in the Web Ul where you can define a root password (creating a hostgroup or a new host, for example).
However, since you can't see the root password, and there is only one password entry definition box, there is no real way to verify
that the password that is typed in the box is what | intend the password to be. It would be very beneficial if we would have to type the
password twice to make sure that it ends up being what we intend it to be.

History

#1 - 01/08/2018 03:41 PM - Ohad Levy

- Subject changed from Add password verification box where applicable in Foreman Web Ul
to Add password verification box where applicable in Foreman Web Ul

note that there is a WIP pr(https:/github.com/theforeman/foreman/pull/4882) that adds a react component for pw validation, probably makes sense to
reuse that

#2 - 03/14/2019 12:42 PM - Amit Karsale

- Assignee set to Amit Karsale

#3 - 03/29/2019 03:58 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/6626 added
